<div class="main-content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
          <div class="card">
            <div class="card-header">
              <div class="row">
                <div class="col-md-8">
                  <h5>TimeSheet</h5>
                </div>
                <div class="col-sm-4" style="text-align:right">
                  <button title="Add new project" class="btn btn-sm btn-primary" (click)="openProjectListDialog()" >
                    <i class="icofont icofont-plus"></i> Add
                  </button>
                  <button title="Submit" class="btn btn-sm btn-primary btn-margin">
                    <i class="fa fa-check"></i> Submit
                  </button>
                  <button title="Rework" class="btn btn-sm btn-primary btn-margin">
                    <i class="fa fa-ban"></i> Rework
                  </button>
                  <button title="Export file" class="btn btn-sm btn-primary">
                    <i class="fa fa-cloud-upload"></i> Export 
                  </button>
                  <button title="Export file" class="btn btn-sm btn-primary">
                    <i class="icofont icofont-save"></i> Save 
                  </button>
                </div>
              </div>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <h5>{{currentUser.UserName}}</h5>
                  <div class="small text-muted"> {{startOfCurrentDate}} - {{endOfCurrentDate}} </div>
                </div>
              </div>
              <div class="row" style="padding-top:10px">
                <div class="col-sm-5">
                  <div class="dateSection">
                    <i class="material-icons alignItems" style="cursor: pointer;" (click)="prev()">keyboard_arrow_left</i>
                    <div class="form-group">
                      <input type="text" class="form-control text-center" placeholder="" value={{days[0]}}>
                    </div>
                    <span class="alignItems">&nbsp;&nbsp;</span>
                    <div class="form-group">
                      <input type="text" class="form-control text-center" placeholder="" value={{days[6]}}>
                    </div>
                    <i class="material-icons alignItems" style="cursor: pointer;" (click)="next()">keyboard_arrow_right</i>
                  </div>
                </div>
                <div class="col-sm-2">
                  <div class="approuvedStyle">Approuved</div>
                </div>
                <div class="col-sm-5" style="text-align:right">
                  <mat-form-field>
                      <mat-select placeholder="Select" name="select_user">
                        <mat-option> select </mat-option>
                        <mat-option> user #1 </mat-option>
                        <mat-option> user #2 </mat-option>
                        <mat-option> user #3 </mat-option>
                      </mat-select>
                    </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12 table-responsive">
                    <table class="table">
                        <thead >
                          <th></th>
                          <th></th>
                          <th *ngFor="let d of days">{{ d }}</th>
                          <th></th>
                          <th>Total</th>
                          <th></th>
                          <th>Notes</th>
                        </thead>
                        <tbody *ngFor="let p of userProjectListSelected">
                          <tr>
                            <td class="projectNameRowStyle" colspan="14">
                              <i class="material-icons expandCollapseIconStyle" (click)="expandCollapse($event)">keyboard_arrow_up</i>
                               {{ p.PROJECT_NAME }}
                            </td>  
                          </tr>
                          <tr *ngFor='let act of p.projectActivities' class="collapsible">
                              <td class="taskNameColumnStyle">{{ act.ACTIVITY_NAME }}</td>
                              
                              <td></td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day1.TIMEENTRY_AMOUNT">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day2.TIMEENTRY_AMOUNT">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day3.TIMEENTRY_AMOUNT">
                                </div> 
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day4.TIMEENTRY_AMOUNT">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day5.TIMEENTRY_AMOUNT">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day6.TIMEENTRY_AMOUNT">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" [(ngModel)]="act.userTimeEntry.day7.TIMEENTRY_AMOUNT">
                                </div>
                              </td>
                              <td></td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control">
                                </div>
                              </td>
                              <td></td>
                              <td class="text-center">
                                <span class="mat-button-wrapper">
                                  <i class="material-icons iconStyle" (click)="openDisplayDialog(act.ACTIVITY_NAME)">edit</i>
                                </span>
                              </td>
                              <td>
                                <svg style="width:17px;height:17px" viewBox="0 0 24 24">
                                    <path fill="#808080" d="M16,12V4H17V2H7V4H8V12L6,14V16H11.2V22H12.8V16H18V14L16,12Z" />
                                </svg>
                              </td>
                            </tr>
                          </tbody>
                          <tfoot>
                          <tr class="absenceDayOffRowStyle">
                              <td class="widthFirstCell"><strong>Absence/Day OFF </strong></td>
                              <td></td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="8">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="4">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="">
                                </div>
                              </td>
                              <td></td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="12">
                                </div>
                              </td>
                              <td></td>
                              <td></td>
                              <td></td>
                            </tr>
                            <tr class="totalRowStyle">
                              <td><strong>Total</strong></td>
                              <td></td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="8">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="8">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="8">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="8">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="8">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="">
                                </div>
                              </td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="">
                                </div>
                              </td>
                              <td></td>
                              <td>
                                <div class="form-group">
                                  <input type="text" class="form-control" value="40">
                                </div>
                              </td>
                              <td></td>
                              <td></td>
                              <td></td>
                            </tr>
                          </tfoot>
                    </table>
                </div>
              </div>
            </div>
          </div>
      </div>
    </div>
  </div>
</div>